%def_enable static
%define cpplib libusbpp

Name: libusb
Version: 0.1.12
Release: alt1.M41.1

Summary: Libusb is a library which allows userspace access to USB devices
Summary(ru_RU.KOI8-R): Libusb -  ,     USB 
License: LGPL
Group: System/Libraries
Url: http://sourceforge.net/projects/libusb/

Source0: http://download.sourceforge.net/libusb/%name-%version.tar.gz

BuildPreReq: docbook-dtds docbook-style-dsssl docbook-utils doxygen graphviz openjade sgml-common gcc-c++

# Automatically added by buildreq on Fri Apr 28 2006
BuildRequires: dmtr40in-fonts docbook-utils doxygen fonts-bitmap-misc fonts-ttf-dejavu fonts-type1-urw fonts-type1-xorg gcc-c++ gcc-g77 graphviz linux-libc-headers phonetic-fonts-type1 pkg-config

%description
Libusb is a library which allows userspace access to USB devices

%package devel
Summary: Libusb is a library which allows userspace access to USB devices
Group: Development/C
Requires: %name = %version-%release
Provides: libusb-compat-devel = %version-%release

%description devel
Libusb is a library which allows userspace access to USB devices

This package contains header files needed for the development of programs that
use libusb.

%if_enabled static
%package devel-static
Summary: Libusb is a library which allows userspace access to USB devices
Group: Development/C
Requires: %name-devel = %version-%release
Provides: libusb-compat-devel-static = %version-%release

%description devel-static
Libusb is a library which allows userspace access to USB devices

This package provides static libraries to use libusb.
%endif

%package -n %cpplib
Summary: Libusb is a library which allows userspace access to USB devices
Group: System/Libraries
Requires: %name = %version-%release

%description -n %cpplib
Libusb is a library which allows userspace access to USB devices

This package provides C++ bindings to libusb.

%package -n %cpplib-devel
Summary: Libusb is a library which allows userspace access to USB devices
Group: Development/C++
Requires: %cpplib = %version-%release

%description -n %cpplib-devel
Libusb is a library which allows userspace access to USB devices

This package provides header files for C++ bindings to libusb.

%if_enabled static
%package -n %cpplib-devel-static
Summary: Libusb is a library which allows userspace access to USB devices
Group: Development/C++
Requires: %cpplib-devel = %version-%release

%description -n %cpplib-devel-static
Libusb is a library which allows userspace access to USB devices

This package provides static libraries to use libusbpp.
%endif

%package doc
Summary: Libusb is a library which allows userspace access to USB devices
Group: Development/C
Requires: %name = %version-%release

%description doc
This package contains documentation for %name.

%prep
%setup -q

%build
%configure %{subst_enable static} --disable-build-docs
%make_build
# generate CSS
doxygen -w html /dev/null /dev/null apidocs/doxygen.css
doxygen
cd doc
db2html manual.sgml

%install
%makeinstall pkgconfigdir=%buildroot/%_libdir/pkgconfig

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post -p /sbin/ldconfig -n %cpplib
%postun -p /sbin/ldconfig -n %cpplib

%files
%_libdir/*.so.*
%exclude %_libdir/%{cpplib}*.so.*
%doc LICENSE AUTHORS README

%files -n %cpplib
%_libdir/%{cpplib}*.so.*

%files devel
%_bindir/libusb-config
%_libdir/%name.so
%_includedir/*
%_libdir/pkgconfig/libusb.pc
%exclude %_includedir/usbpp.h

%files -n %cpplib-devel
%_libdir/%cpplib.so
%_includedir/usbpp.h

%if_enabled static
%files devel-static
%_libdir/%name.a

%files -n %cpplib-devel-static
%_libdir/%cpplib.a
%endif

%files doc
%doc doc/manual apidocs/html

%changelog
* Mon Feb 15 2010 Sergey V Turchin <zerg@altlinux.org> 0.1.12-alt1.M41.1
- add provides libusb-compat-devel

* Mon Apr 16 2007 ALT QA Team Robot <qa-robot@altlinux.org> 0.1.12-alt1.0
- Automated rebuild.

* Fri Apr 28 2006 Anton Farygin <rider@altlinux.ru> 0.1.12-alt1
- new version

* Tue Sep 13 2005 Anton Farygin <rider@altlinux.ru> 0.1.10a-alt3
- enabled devel-static packages

* Thu Sep 08 2005 Anton Farygin <rider@altlinux.ru> 0.1.10a-alt2
- new version, with specfile from wrar@ (#7580, #7579)

* Sat Aug 06 2005 Andrey Rahmatullin <wrar@altlinux.ru> 0.1.10a-alt1
- 0.1.10a
- removed outdated docs, packaged bundled docs (#7580)

* Mon Apr 26 2004 Anton Farygin <rider@altlinux.ru> 0.1.8-alt1
- 0.1.8

* Sun Dec 14 2003 Rider <rider@altlinux.ru> 0.1.7-alt2
- removed .la files

* Mon Jan 06 2003 Rider <rider@altlinux.ru> 0.1.7-alt1
- 0.1.7
- added build requires 

* Mon Sep 16 2002 Rider <rider@altlinux.ru> 0.1.6a-alt2
- gcc 3.2 rebuild

* Sat Aug 24 2002 Rider <rider@altlinux.ru> 0.1.6a-alt1
- 0.1.6a

* Sun Feb 10 2002 Rider <rider@altlinux.ru> 0.1.5-alt1
- 0.1.5

* Thu Dec 06 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.1.4-alt1
- 0.1.4
- Added documentation

* Fri Aug 24 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.1.3b-alt2
- Fixed requires
- Added devel-static package

* Fri Aug 24 2001 Rider <rider@altlinux.ru> 0.1.3b-alt1
- First build for ALT

* Thu Mar  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.3b-1mdk
- Initial Mandrake release
